<template>
<Layout-Child>
    <div class='w-11/12 mx-auto mt-6'>
      <div class='collection-list'>
        <app-collectionCard v-for="i in collectionList" :key="i.id" :colletionData='i' class='mt-3'></app-collectionCard>
      </div>
        
    </div>
</Layout-Child>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  data(){
    return{
      collectionList:{}
    }
  },
  async created(){
    this.collectionList = await this.$service.nftService.getCollection()
  },
  components:{
       'Layout-Child':()=>import('@/layout/Child.vue'),
       'app-collectionCard':()=>import('@/components/CollectionCard.vue')
    //    'app-cell':()=>import('@/components/common/Cell.vue'),
    //     'app-btn':()=>import('@/components/common/Btn.vue')
  },

});
</script>
